#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	Crypt
%define		pnam	PasswdMD5
Summary:	Crypt::PasswdMD5 Perl module - an interoperable MD5-based crypt() function
Summary(pl.UTF-8):	Moduł Perla Crypt::PasswdMD5 - funkcja crypt() oparta na MD5
Name:		perl-Crypt-PasswdMD5
Version:	1.42
Release:	1
# same as perl (original was BEER-WARE)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	3a24c20baccc04bb0623e40cc87b9d56
URL:		https://metacpan.org/dist/Crypt-PasswdMD5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unix_md5_crypt() provides a crypt()-compatible interface to the
rather new MD5-based crypt() function found in modern operating
systems. apache_md5_crypt() provides a function compatible with
Apache's .htpasswd files.

%description -l pl.UTF-8
Funkcja unix_md5_crypt() udostępnia kompatybilny z crypt() interfejs
do dosyć nowej funkcji crypt() opartej na MD5, dostępnej we
współczesnych systemach operacyjnych. Funkcja apache_md5_crypt() jest
kompatybilna z plikami .htpasswd Apache'a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Crypt/PasswdMD5.pm
%{_mandir}/man3/Crypt::PasswdMD5.3pm*
%changelog
* Fri Apr 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-PasswdMD5.git;a=log;h=master

* Fri Apr 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 7a9267f
- updated to 1.42

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 01fa6af
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 668f0bd
- use generic url

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 261826a
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6dc0ecc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed6af10
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> acae1ea
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> cc8b1bf
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> d83a282
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 52c3bee
- tests added

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> a29c5c6
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 98ffa0f
- caps and other cosmetics

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 6988967
- updated to 1.3

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 1b630d2
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 87738f5
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 226ac66
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b10a525
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 21f762b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4bcd3b0
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 6daa04b
- use the __perl macro

